=== modified file 'drizzled/open_tables_state.h'
--- drizzled/open_tables_state.h	2011-03-15 20:03:35 +0000
+++ drizzled/open_tables_state.h	2011-03-18 13:59:37 +0000
@@ -21,12 +21,13 @@
 #pragma once
 
 #include <drizzled/lock.h>
-#include <drizzled/query_id.h>
 
 namespace drizzled {
 
 namespace plugin { class StorageEngine; }
 
+typedef uint64_t query_id_t;
+
 class CachedDirectory;
 
 /**

=== modified file 'drizzled/query_id.cc'
--- drizzled/query_id.cc	2011-02-17 00:14:13 +0000
+++ drizzled/query_id.cc	2011-03-18 13:59:37 +0000
@@ -22,18 +22,13 @@
 #include <drizzled/query_id.h>
 #include <drizzled/internal/my_pthread.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 Query_id::Query_id()
 {
   the_query_id= 1;
 }
 
-Query_id::~Query_id()
-{
-}
-
 uint64_t Query_id::value() const
 {
   return the_query_id;
@@ -41,9 +36,7 @@
 
 uint64_t Query_id::next()
 {
-  uint64_t ret= the_query_id.increment();
-
-  return ret;
+  return the_query_id.increment();
 }
 
 } /* namespace drizzled */

=== modified file 'drizzled/query_id.h'
--- drizzled/query_id.h	2011-03-14 05:40:28 +0000
+++ drizzled/query_id.h	2011-03-18 13:59:37 +0000
@@ -21,19 +21,18 @@
 
 #include <drizzled/atomics.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 typedef uint64_t query_id_t;
 
 class Query_id
 {
 public:
-  static Query_id& get_query_id() {
+  static Query_id& get_query_id() 
+  {
     static Query_id the_id;
     return the_id;
   }
-  ~Query_id();
 
   /* return current query_id value */
   query_id_t value() const;

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-03-15 23:55:01 +0000
+++ drizzled/session.h	2011-03-18 13:59:37 +0000
@@ -39,7 +39,6 @@
 #include <drizzled/error.h>
 #include <drizzled/open_tables_state.h>
 #include <drizzled/pthread_globals.h>
-#include <drizzled/query_id.h>
 #include <drizzled/session/property_map.h>
 #include <drizzled/session/table_messages.h>
 #include <drizzled/session/transactions.h>
@@ -89,7 +88,7 @@
   class Singular; 
 }
 
-typedef class Item COND;
+typedef Item COND;
 
 class CopyField;
 class CreateField;

